if [ "`/bin/uname -m`" = x86_64 ]; then
    _ORACLE_CLIENT_PATH=/usr/lib/oracle/10.2.*/client64/lib/libclntsh.so
else
    _ORACLE_CLIENT_PATH=/usr/lib/oracle/10.2.*/client/lib/libclntsh.so
fi
_ORACLE_CLIENT_PATH=$(dirname $(dirname $_ORACLE_CLIENT_PATH))

if [ -d $_ORACLE_CLIENT_PATH/bin ]; then
    if [ -n "$PATH" ]; then
        PATH=$_ORACLE_CLIENT_PATH/bin:$PATH
    else
        PATH=$_ORACLE_CLIENT_PATH/bin
    fi

    export PATH
fi

if [ -d $_ORACLE_CLIENT_PATH/lib ]; then
    if [ -n "$LD_LIBRARY_PATH" ]; then
        LD_LIBRARY_PATH=$_ORACLE_CLIENT_PATH/lib:$LD_LIBRARY_PATH
    else
        LD_LIBRARY_PATH=$_ORACLE_CLIENT_PATH/lib
    fi

    export LD_LIBRARY_PATH
fi

unset _ORACLE_CLIENT_PATH
